"use strict";
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
const _sfc_main = {
  data() {
    return {
      today: this.getToday()
    };
  },
  methods: {
    getToday() {
      const d = /* @__PURE__ */ new Date();
      const month = d.getMonth() + 1;
      const day = d.getDate();
      return `${month < 10 ? "0" + month : month}/${day < 10 ? "0" + day : day}`;
    },
    goToSearch() {
      common_vendor.index.navigateTo({ url: "/pages/search/index" });
    },
    goToCalendar() {
      common_vendor.index.navigateTo({ url: "/pages/calendar/index" });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.o((...args) => $options.goToSearch && $options.goToSearch(...args)),
    b: common_vendor.o((...args) => $options.goToCalendar && $options.goToCalendar(...args)),
    c: common_vendor.t($data.today),
    d: common_assets._imports_0$1,
    e: common_assets._imports_1
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
//# sourceMappingURL=../../../.sourcemap/mp-weixin/pages/index/index.js.map
